## Typing stubs for Authlib

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`Authlib`](https://github.com/lepture/authlib) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `Authlib`. This version of
`types-Authlib` aims to provide accurate annotations for
`Authlib==1.4.*`.

This stub package is marked as [partial](https://peps.python.org/pep-0561/#partial-stub-packages).
If you find that annotations are missing, feel free to contribute and help complete them.


This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/Authlib`](https://github.com/python/typeshed/tree/main/stubs/Authlib)
directory.

This package was tested with
mypy 1.14.0,
pyright 1.1.389,
and pytype 2024.10.11.
It was generated from typeshed commit
[`d634fc2f52b1f35e3bc664c7635859debbfe5e5d`](https://github.com/python/typeshed/commit/d634fc2f52b1f35e3bc664c7635859debbfe5e5d).